Bug 1459986 - Error message displayed when adding playbook service catalog item to global region
Error message displayed when adding playbook service catalog item to global r...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Harpreet Kataria
luke couzens
ansible_embed:distributed:playbook:se...
: ZStream
Depends On: 1449696
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 14:24 EDT by Satoe Imaishi
Modified: 2017-08-02 13:27 EDT (History)
6 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1449696
Environment:
Last Closed: 2017-08-02 13:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-08 14:26:21 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/5f807ccfd0d01dbec2169e4062b8a343cb3ee1bd

commit 5f807ccfd0d01dbec2169e4062b8a343cb3ee1bd
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Wed May 17 11:23:03 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 14:24:22 2017 -0400

    Merge pull request #15070 from jntullo/enhancement/csp_subcollection
    
    configuration_script_sources subcollection
    (cherry picked from commit 632c2d0c272e13fcd3f91d8334f4e402dcab6f32)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459986

 .../api/configuration_script_sources_controller.rb |  2 +
 .../configuration_script_payloads.rb               |  9 ++++
 config/api.yml                                     |  7 +++
 .../api/configuration_script_sources_spec.rb       | 51 ++++++++++++++++++++++
 4 files changed, 69 insertions(+)
 create mode 100644 app/controllers/api/subcollections/configuration_script_payloads.rb
Comment 3 CFME Bot 2017-06-08 14:58:17 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/cd41257b3070f7b6118a31759ef13f33155fc8c6

commit cd41257b3070f7b6118a31759ef13f33155fc8c6
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed May 17 12:54:22 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 14:54:34 2017 -0400

    Merge pull request #1354 from h-kataria/pass_region_number_to_playbook_api_call
    
    Changed API call to pass in region number get list of repos/playbooks
    (cherry picked from commit 416407fbd59d3ab8729a9255e541e045a020d266)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459986

 .../controllers/catalog/catalog_item_form_controller.js          | 9 +++++----
 app/controllers/catalog_controller.rb                            | 4 +++-
 app/views/catalog/_st_angular_form.html.haml                     | 1 +
 .../controllers/catalog/catalog_item_form_controller_spec.js     | 3 ++-
 4 files changed, 11 insertions(+), 6 deletions(-)
Comment 4 luke couzens 2017-06-26 15:47:48 EDT
Verified in 5.8.1.0
Comment 6 errata-xmlrpc 2017-08-02 13:27:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.